> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an SSO enforcement rule for a company.

> Removes the enforcement rule from the database.

# Access Control Rules

- Company manager of the company OR admin with `manage_companies` permissions.



## OpenAPI

````yaml DELETE /api/v0/companies/{company_id}/sso-enforcement-rules/{rule_id}
openapi: 3.1.0
info:
  title: Cantina Client API
  description: >-
    Endpoints available to client organizations. For an overview and
    authentication, see
    https://docs.cantina.xyz/for-organizations/getting-started/api-access.
  license:
    name: Cantina
    identifier: Cantina
  version: 0.1.0
servers: []
security: []
paths:
  /api/v0/companies/{company_id}/sso-enforcement-rules/{rule_id}:
    delete:
      tags:
        - companies
      summary: Delete an SSO enforcement rule for a company.
      description: >-
        Removes the enforcement rule from the database.


        # Access Control Rules


        - Company manager of the company OR admin with `manage_companies`
        permissions.
      operationId: delete_company_sso_enforcement_rule
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: rule_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: SSO enforcement rule deleted successfully
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '401':
          description: Access not authorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '403':
          description: Access forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantinaError'
components:
  schemas:
    CantinaError:
      type: object
      description: Error returned by the Cantina API.
      required:
        - type
        - msg
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        msg:
          type: string
          description: Error message for the user.
    ErrorType:
      type: string
      description: Type of error.
      enum:
        - email_not_verified
        - auth_invalid
        - auth_expired
        - auth_token_missing
        - auth_id_missing
        - invalid_password
        - disabled_user
        - tc_not_accepted
        - evicted
        - unauthorized
        - bad_request
        - not_found
        - forbidden
        - gone
        - payload_too_large
        - service_unavailable
        - internal_error

````